QamaqQamaq
GET

Lister les tickets

/tickets

Renvoie une liste paginée de tickets avec filtrage optionnel.

Cas d'usage courants

  • Display a list of tickets in your application
  • Build a custom dashboard showing ticket status
  • Export tickets for reporting purposes

Paramètres

Paramètres de requête

NomTypeDescription
board_id
string

Filter by board ID

status_id
string

Filter by status/column ID

assignee_id
string

Filter by assignee ID

priority
"low" | "medium" | "high" | "critical"

Filter by priority

lowmediumhighcritical
search
string

Search in title and description

page
integer

Page number

Par défaut: 1

page_size
integer

Items per page

Par défaut: 20

Exemples de code

curl -X GET "https://api.qamaq.io/api/v1/tickets?page=1&page_size=20" \
  -H "Authorization: Bearer qmq_your_api_key"

Réponses

200List of tickets

Response Body

{
tickets:Ticket[]
total:integer
page:integer
page_size:integer
has_more:boolean
}